	/*
	 *
	 * 2003 - 2017 @ Yal Publicidad - Weby+
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * JS Estandar Weby+
	 * @jsy-script
	 *
	 */
	
	
	/*
	 * Clase propia de Weby+
	 */
	 function wyXHRO() {
				if (window.XMLHttpRequest) {
					return new XMLHttpRequest();
				} else if(window.ActiveXObject) {
					return new ActiveXObject("Microsoft.XMLHTTP");
				} else {
					//document.getElementById('p_status').innerHTML = 'No se puede crear objeto XmlHttpRequest.';
				}
	}
	
	WebyPlus = {
		ajax: function( ajustes ){
				var wye_Request = wyXHRO();
				var metodo = (typeof ajustes.metodo == 'undefined') ? 'GET' : ajustes.metodo;
				var data = (typeof ajustes.data !== 'undefined') ? ajustes.data + '&time='+ new Date().getTime() : '';
				var url = (metodo == 'GET') ? ajustes.url + '?' + data : ajustes.url;
				
				if(typeof ajustes.progreso !== 'undefined') wye_Request.upload.addEventListener("progress", ajustes.progreso, false);
				if(typeof ajustes.exito !== 'undefined') wye_Request.addEventListener("load", ajustes.exito, false);
				if(typeof ajustes.error !== 'undefined') wye_Request.addEventListener("error", ajustes.error, false);
				if(typeof ajustes.abortar !== 'undefined') wye_Request.addEventListener("abort", ajustes.abortar, false);
				
				wye_Request.open(metodo, url, true);
				if(typeof ajustes.contenidoTipo !== 'undefined') wye_Request.setRequestHeader('Content-Type',ajustes.contenidoTipo);
				wye_Request.onreadystatechange = function(){
														if (wye_Request.readyState == 4 && wye_Request.status == 200) {
																	ajustes.suceso(wye_Request.responseText);
														} else if ( wye_Request.status == 200) {
																	ajustes.suceso(wye_Request.responseText);
														} else {
																	ajustes.suceso(wye_Request.status);
														}
												};															
				if(metodo == 'GET') {
							wye_Request.send(null);//alert(metodo);
				}else{
							wye_Request.send(data);//alert(url);
				} //alert(url);
		}
	}
	
	
/* ----------------------------------- *\
	JS obsoletos
\* ----------------------------------- */
	
	WebyModal = {
		iniciar : function( cHTML ){
										
							var $body = document.getElementsByTagName("body")[0];
							var $overlay = document.createElement('div');
								$overlay.setAttribute('id','wy_modal');
								//$overlay.onfocus = function(){ WebyModal.cerrar(); };
								$overlay.innerHTML = '<input type="radio" id="wy_modal_btn_cerrar" name="modal" onClick="WebyModal.cerrar()" /><label for="wy_modal_btn_cerrar">X</label>';
								$body.appendChild($overlay);
							
							var $overcont = document.createElement('div');
								$overcont.setAttribute('id','wy_modal_contenedor');
								$overcont.innerHTML = cHTML;
								$overlay.appendChild($overcont);
			},
			
		abrir : function( cntHTML ){
			if( document.getElementById('wy_modal_contenedor') ){
				document.getElementById('wy_modal_contenedor').innerHTML = cntHTML;
			}else{
				this.iniciar( cntHTML );
			}
			document.getElementById('wy_modal').style.top = '0';
			document.body.style.overflowY = 'hidden';
		},
								
		cerrar : function(){
				document.getElementById('wy_modal').style.top = '-200vh';
				//wymdl.innerHTML = '';
				document.body.style.overflowY = 'auto';
			}
	}